# $Revision: 1.21 $, $Date: 2002/06/16 15:02:19 $
%define         ver_ver     4.9.10
%define         ver_release 20010106

Summary:	Curses Development Kit
Summary(pl):	Zestaw programistyczny do Curses
Name:		cdk
Version:	%{ver_ver}_td%{ver_release}
Release:	6
License:	BSD
Group:		Libraries
URL:		http://dickey.his.com/cdk/cdk.html
Source0:	ftp://dickey.his.com/cdk/%{name}-%{ver_ver}-%{ver_release}.tgz
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-man-pages.tar.bz2
Patch0:		%{name}-includes.patch
Patch1:		%{name}-man_remove_dupl.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CDK is a widget set developed on top of the basic curses library. It
contains 21 ready to use widgets. Some which are a text entry field, a
scrolling list, a selection list, a alphalist, pull-down menu, radio
list, viewer widget, dialog box, and many more.

This version of CDK is maintained by Thomas Dickey and is not the same
as that at http://www.vexus.ca/CDK.html.

%description -l pl
CDK to zestaw widgetw zbudowanych na podstawie biblioteki curses.
Zawiera 21 gotowych go uycia widgetw. Wrd nich jest pole
wprowadzania tekstu, lista przewijana, lista wyboru, lista
alfabetyczna, menu rozwijane, lista przyciskw, przegldarka, okienko
dialogowe i wiele innych.

Ta wersja CDK jest prowadzona przez Thomasa Dickeya i nie jest tym
samym, co znajduje si pod adresem http://www.vexus.ca/CDK.html.

%package devel
Summary:	Header files and development documentation for CDK library
Summary(pl):	Pliki nagwkowe i dokumentacja do CDK
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	ncurses-devel

%description devel
Header files and development documentation for CDK library. This
version is maintained by Thomas Dickey and is not the same as that at
http://www.vexus.ca/CDK.html.

%description devel -l pl
Pliki nagwkowe i dokumentacja programisty do biblioteki CDK. Ta
wersja jest prowadzona przez Thomasa Dickeya i nie jest tym samym, co
znajduje si pod adresem http://www.vexus.ca/CDK.html.

%package static
Summary:	Static version of CDK library
Summary(pl):	Statyczna wersja biblioteki CDK
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static version of CDK library. This version is maintained by Thomas
Dickey and is not the same as that at http://www.vexus.ca/CDK.html.

%description static -l pl
Statyczna wersja biblioteki CDK. Ta wersja jest prowadzona przez
Thomasa Dickeya i nie jest tym samym, co znajduje si pod adresem
http://www.vexus.ca/CDK.html.

%prep
%setup -q -n %{name}-%{ver_ver}-%{ver_release}
%patch0 -p1
%patch1 -p1
mkdir include/cdk
mv -f include/*.* include/cdk

%build
# -funsigned-char gives valid 8bit display
CFLAGS="%{rpmcflags} -funsigned-char"
%configure2_13 \
	--disable-x \
	--with-ncurses
%{__make}
%{__make} cdkshlib

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} installCDKSHLibrary installCDKLibrary \
	DESTDIR="$RPM_BUILD_ROOT"

%{__make} installCDKHeaderFiles installCDKManPages \
	DESTDIR="$RPM_BUILD_ROOT"

bzcat %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT/%{_mandir}

for d in demos examples; do
   rm -f $d/Makefile.in
   mkf=$d/Makefile
   sed 's|\-I%{_prefix}/X11R6/include|\-I%{_includedir}/cdk/|' <$mkf >$mkf.fix
   mv -f $mkf.fix $mkf
done
cp -rf demos examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc BUGS CHANGES EXPANDING NOTES README TODO
%{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: cdk.spec,v $
Revision 1.21  2002/06/16 15:02:19  qboosh
- new %%doc
- moved demos and examples to %%{_examplesdir}
- release 6

Revision 1.20  2002/05/06 23:40:32  ankry
- added man page redirections (basing on Debian's)
- removed duplicate entries from cdk_menu.3
- release 5, STBR

Revision 1.19  2002/04/25 15:57:54  arturs
fixed a small typo

Revision 1.18  2002/04/07 10:49:21  mkochano
- Release 4.
- -devel subpackage requires ncurses-devel.

Revision 1.17  2002/02/24 23:25:12  kloczek
- release 3.

Revision 1.16  2002/02/23 01:33:39  kloczek
- adapterized.

Revision 1.15  2002/02/22 23:28:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/01/18 02:12:32  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/21 15:32:10  qboosh
- adapterized, pl descriptions

Revision 1.12  2001/10/01 09:34:04  marcus
- %%configure2_13

Revision 1.11  2001/04/19 10:37:50  mis
- added includes patch (release 2)

Revision 1.10  2001/04/19 00:23:15  kloczek
- added using %%{rpmcflags} macro and adapterized.

Revision 1.9  2001/04/18 17:24:46  mis
- updated to 20010106

Revision 1.8  2001/01/25 20:03:22  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.7  2000/12/23 00:48:43  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.6  2000/11/17 06:43:59  kloczek
- typo.

Revision 1.5  2000/11/17 06:37:35  kloczek
- use new rpm automation and few cosmetics.

Revision 1.4  2000/11/16 15:57:18  mis
- updated to 4.9.10

Revision 1.3  2000/07/03 13:20:21  mis
- added source archive with version number

Revision 1.2  2000/07/03 12:12:24  mis
- updated to patch level 20000628

Revision 1.1  2000/06/27 16:37:25  mis
- initial version (based on mhash.spec)
